# $Revision: 1.10 $, $Date: 2008/07/27 22:58:18 $
#
# Conditional build:
%bcond_without	tests	# do perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	XML
%define		pnam	CSV
Summary:	XML::CSV - Perl extension converting CSV files to XML
Summary(pl.UTF-8):	XML::CSV - rozszerzenie Perla do konwersji plików CSV do XML-a
Name:		perl-XML-CSV
Version:	0.15
Release:	2
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	b53561db36721fb1b1965d82b869d3e7
BuildRequires:	perl-Text-CSV_XS >= 0.21
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Perl module designed for converting CSV files into XML.

%description -l pl.UTF-8
Moduł Perla służący do konwersji plików w formacie CSV do XML-a.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGES README
%{perl_vendorlib}/XML/CSV.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-XML-CSV.spec,v $
Revision 1.10  2008/07/27 22:58:18  arekm
- release 2

Revision 1.9  2007-02-13 08:06:38  glen
- tabs in preamble

Revision 1.8  2007/02/12 01:06:23  baggins
- converted to UTF-8

Revision 1.7  2007/02/11 21:55:56  qrczak
- Fixed language tag.

Revision 1.6  2004/11/03 22:30:54  paladine
- formatting

Revision 1.5  2004/06/05 18:10:49  radek
- cosmetic unification: s/^%define\s+(pdir|pnam)\s+/%define\t$1\t/

Revision 1.4  2004/05/05 06:28:47  ankry
- license unification, cosmetics

Revision 1.3  2004/04/12 02:39:56  qboosh
- doc, noarch, typo, cosmetics

Revision 1.2  2004/04/11 21:30:12  agaran
- some cosmetic changes

Revision 1.1  2004/04/11 17:21:23  agaran
new spec
